Clicky

Naviguer / Recherche

Erreur 500 après mise à jour WordPress

Lorsque vous procédez à la mise à jour vers WordPress 3.0, il se peut que vous ayez une erreur 500 lorsque vous tentez de vous connecter à votre administration.
Une erreur 500 provient généralement d’une boucle impossible sur votre serveur. En l’occurence il y a toutes les chances que ce soit PHP qui pose problème.

Que dois-je vérifier ?

Que votre serveur tourne sous php5 ! Pour cela vous pouvez voir votre configuration php dans l’administration de votre hébergeur.

Comment corriger cela ?

En indiquant à votre serveur qu’il doit utiliser php5 avec votre site qui tourne sous wordpress 3.0. Pour cela la manière la plus simple est de prévoir un fichier .htaccess qui placé à la racine de votre site, indiquera au serveur ce qu’il doit faire.

Si vous avez par exemple 1and1 comme hébergeur, la procédure est très simple. Créez ce fichier .htaccess (n’oubliez pas le point avant htaccess) sur votre ordinateur à l’aide de wordpad ou d’un autre logiciel d’édition de texte, copiez et collez le code suivant :

AddType x-mapp-php5 .php 
# BEGIN WordPress
 <IfModule mod_rewrite.c> RewriteEngine On RewriteBase / RewriteCond
 %{REQUEST_FILENAME} !-f RewriteCond %{REQUEST_FILENAME} !-d RewriteRule 
. /index.php [L] </IfModule>
# END WordPress

Ensuite uploadez ce fichier directement à la racine de votre site (au même titre que tous les fichiers qui composent WordPress), et relancez votre site. En principe, le problème sera réglé !

Commentaires

britain
Répondre

chez 1&1 on peut choisir la version de son PHP par l’espace client,il y a une ligne « Version Globale de PHP »

Raoul
Répondre

En effet, on peut également chez cet hébergeur utiliser le fichier php.ini, ou encore l’insérer dans le .htaccess 🙂

steph
Répondre

merci pour l’astuce 🙂

Laissez un commentaire

nom*

Adresse mail* (non publiée)

Site Web

Notifiez-moi des commentaires à venir via email. Vous pouvez aussi vous abonner sans commenter.